Go to the latest version of this document.

# ``twisted`.`mail`.`pop3`.`ServerErrorResponse``

exception documentation

`class ServerErrorResponse(POP3ClientError): (source)`

Constructor: `ServerErrorResponse(reason, consumer)`

View In Hierarchy

An error indicating that the server returned an error response to a request.

Method | `__init__` | No summary
Instance Variable | `consumer` | See `__init__`

def __init__(self, reason, consumer=None): (source)

Parameters
reason:`bytes` | The server response minus the status indicator.
consumer:callable that takes `object` | The function meant to handle the values for a multi-line response.

consumer = (source)

See `__init__`